## reportbug 11.4.1ubuntu1

=== debian/changelog ===
reportbug (11.4.1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 19 Mar 2022 19:05:05 -0400

reportbug (11.4.1) unstable; urgency=medium

  [ Philippe SWARTVAGHER ]
  * reportbug/ui/text_ui.py: stay in menu if answer "none" removes
    selected items

  [ Nis Martensen ]
  * test/test_ui_text.py: add test for text ui
  * reportbug/ui/text_ui.py: update bug line regex (Closes: #1005998)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 26 Feb 2022 21:29:40 +0100

reportbug (11.4.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 20 Feb 2022 18:19:37 -0500

reportbug (11.4.0) unstable; urgency=medium

  * reportbug/submit.py: do not output extra info when saving to file
    (Closes: #1004382)
  * reportbug/submit.py: fix logic and avoid predictable tempfile
  * bin/reportbug: drop some unneeded lines from handle_editing
  * bin/reportbug: unify redirection to output file in handle_editing
  * bin/reportbug: drop now unused stopmsg function
  * reportbug/submit.py: clean up tempfiles before ui.final_message
  * reportbug/ui/urw_id.py: use text ui version for display_report
  * reportbug/submit.py: use ui.display_report in paranoid mode
  * reportbug/ui/gtk_ui.py: switch final_message button to 'close'
    (Closes: #873761)
  * reportbug/utils.py: fix version reading in parse_config_files()
    (Closes: #1004854)
  * reportbug/utils.py, man/reportbug.conf.5: support timeout in config file
    (Closes: #992566)
  * reportbug/debbugs.py: split off resolved bugs in hierarchy (Closes: #665348)
  * bin/reportbug, reportbug/debbugs.py: add option to browse archived bugs
    (Closes: #995231)
  * man/reportbug.1: document new --archive option
  * reportbug/ui/text_ui.py: update bug number column alignment

 -- Nis Martensen <nis.martensen@web.de>  Sun, 13 Feb 2022 00:15:46 +0100

reportbug (11.3.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 24 Jan 2022 21:47:02 -0500

reportbug (11.3.0) unstable; urgency=medium

  [ Takahide Nojima ]
  * reportbug/ui/gtk_ui.py: Add checkboxes or radio buttons
    on MenuPage to allow a user to operate intuitively
    (Closes: #813771)

  [ Nis Martensen ]
  * reportbug/ui/gtk_ui.py: catch exceptions from spellchecker
  * various PEP8 fixes and flake8 annotations in many files
  * reportbug/checkversions.py: drop get_incoming_version
  * reportbug/urlutils.py: drop some unused code
  * bin/reportbug: reverse severity list in user prompt (Closes: #295386)
  * Revert "Download and use maintainer mbox whenever applicable (#933765)"
  * reportbug/debbugs.py: use mboxmaint in cgi_report_url
  * test/test_debbugs.py: adapt and extend test for get_report_url
  * extend copyright years to 2022
  * reportbug/ui/gtk_ui.py: sort bugs by bug number
  * reportbug/debbugs.py: fix wrong bug count for digit-only packages
  * reportbug/submit.py: do not print the output filename twice
  * reportbug/submit.py: do not output a message when creating backup file
  * reportbug/submit.py: use break statement instead of boolean to exit loop
  * reportbug/submit.py: keep backup in case of failure instead of writing again
    (Closes: #964942)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 22 Jan 2022 20:39:34 +0100

reportbug (11.2.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 02 Jan 2022 16:07:38 -0500

reportbug (11.2.0) unstable; urgency=medium

  [ Nis Martensen ]
  * gtk_ui.py: use os.kill instead of sys.exit to close reportbug
    (Closes: #1000200)
  * test/test_utils.py: add a few tests for various functions
  * test/test_debbugs.py: add test for debbugs.parse_bts_url
  * test/test_checkversions.py: test check_available
  * test/test_hiermatch.py: add hierarchy matching tests
  * debian/control: update standards-version (no changes needed)

  [ Ryan Kavanagh ]
  * Update URLs to prefer https where possible (Closes: #998155)

 -- Nis Martensen <nis.martensen@web.de>  Thu, 30 Dec 2021 22:58:24 +0100

reportbug (11.1.0ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 07 Nov 2021 14:08:23 -0500

reportbug (11.1.0) unstable; urgency=medium

  [ Nelson A. de Oliveira ]


=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>,
           Nis Martensen <nis.martensen@web.de>,
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
Build-Depends-Indep: python3-pytest,
                     python3-pytest-cov,
                     python3-setuptools,
Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
Rules-Requires-Root: no

Package: reportbug
Architecture: all
Depends: apt,
         python3-reportbug (= ${source:Version}),
         sensible-utils,
         ${misc:Depends},
         ${python3:Depends},
Suggests: claws-mail (>= 3.8.0),
          debconf,
          debsums (>= 2.0.47),
          default-mta | postfix | exim4 | mail-transport-agent,
          dlocate,
          emacs-bin-common,
          file (>> 1.30),
          gnupg | pgp,
          python3-urwid,
          reportbug-gtk (= ${source:Version}),
          xdg-utils,
Description: reports bugs in the Debian distribution
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with many mail user agents.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 Bug reporting in Debian relies on email; reportbug can use a local
 mail transport agent (like exim or sendmail), submit directly through
 an external mail server, or pass messages to an installed mail user
 agent (e.g., mutt) for submission.
 .
 This package also includes the "querybts" script for browsing the
 Debian bug tracking system.
 .
 REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
 IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
 INSTEAD (from the "apport" package).

Package: python3-reportbug
Section: python
Architecture: all
Depends: apt,
         file,
         python3-apt,
         python3-debian,
         python3-debianbts (>= 2.10),
         python3-requests,
         sensible-utils,
         ${misc:Depends},
         ${python3:Depends},
Suggests: reportbug,
Description: Python modules for interacting with bug tracking systems
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.
 .
 This package includes Python modules which may be reusable by other
 tools that want to interact with the Debian bug tracking system.
 .
 To actually report a bug, install the reportbug package.

Package: reportbug-gtk
Architecture: all
Priority: optional
Depends: gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         gir1.2-vte-2.91,
         python3-gi,
         python3-gi-cairo,
         python3-gtkspellcheck,
         reportbug (= ${source:Version}),
         ${misc:Depends},
Description: reports bugs in the Debian distribution (GTK+ UI)
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with many mail user agents.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 Bug reporting in Debian relies on email; reportbug can use a local
 mail transport agent (like exim or sendmail), submit directly through
 an external mail server, or pass messages to an installed mail user
 agent (e.g., mutt) for submission.
 .
 This package contains a desktop file and icon, and has dependencies
 to enable the GTK+ UI mode of reportbug to work.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

REPORTBUG_VERSION := $(shell python3 -c "import reportbug; print(reportbug.VERSION_NUMBER)")

%:
	dh $@ --with=python3

override_dh_auto_build:
	# Test if versions are synchronized (only if releasing); this will bomb if not synced
	if [ "$(DEB_DISTRIBUTION)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(DEB_VERSION)" ] ; \
	then \
		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py'; exit 1 ; \
	fi

	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root $(CURDIR)/debian/reportbug --install-layout=deb
	mv $(CURDIR)/debian/reportbug/usr/lib $(CURDIR)/debian/python3-reportbug/usr
	chmod 0755 $(CURDIR)/debian/reportbug/usr/bin/*
	cp -p conf/reportbug.conf $(CURDIR)/debian/reportbug/etc

override_dh_installman:
	dh_installman man/*

## reportbug 11.5.0ubuntu1

=== debian/changelog ===
reportbug (11.5.0ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 08 May 2022 22:39:36 -0400

reportbug (11.5.0) unstable; urgency=medium

  [ Mickaël Schoentgen ]
  * reportbug/submit.py: remove usage of the deprecated 'U' mode
  * reportbug/utils.py: fix bytes comparison deprecation warning
  * reportbug/debbugs.py, reportbug/submit.py, reportbug/utils.py:
    prevent resource warnings about unclosed file
  * bin/reportbug, reportbug/debbugs.py, reportbug/submit.py,
    reportbug/ui/text_ui.py, reportbug/urlutils.py:
    remove usage of obsolete IOError

  [ Nis Martensen ]
  * reportbug/debbugs.py: improve description of the a11y tag.
    Thanks to Simon McVittie <smcv@debian.org> for the suggestion.
    (Closes: #1007106)
  * reportbug/debbugs.py: use version for package exists check.
    Thanks to Julian Gilbey <jdg@debian.org> for the report.
    (Closes: #1009656)
  * bin/reportbug: name matching file instead of regex with -f
    (Closes: #918431)
  * reportbug/debbugs.py: always ask version for release.debian.org/-pu
    requests (Closes: #887150)
  * reportbug/checkversions.py: do not restrict dists in madison query
    by default (Closes: #813299, #927400)
  * reportbug/utils.py: add and revise docstrings
  * reportbug/mailer.py: add docstrings
  * reportbug/debbugs.py: add docstrings
  * reportbug/submit.py: add docstrings
  * reportbug/urlutils.py: add docstrings
  * reportbug/checkversions.py: add/update docstrings
  * reportbug/hiermatch.py: update/revise docstrings
  * reportbug/checkbuildd.py: update/extend docstring
  * reportbug/tempfiles.py: add/revise docstrings (Closes: #890680)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 30 Apr 2022 12:10:55 +0200

## reportbug 11.6.0ubuntu2

=== debian/changelog ===
reportbug (11.6.0ubuntu2) lunar; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 01 Feb 2023 11:03:46 +0100

reportbug (11.6.0ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - reportbug/__init__.py: Match reportbug version with package version.
    - debian/control: Add prominent note to package description.
    - debian/{rules,dirs}: Do not install .desktop file.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 21 Jan 2023 22:03:11 -0500

reportbug (11.6.0) unstable; urgency=medium

  [ Paul Wise ]
  * reportbug/debbugs.py: Add usertags for ftp.d.o removal requests
    (Closes: #1004221)
  * man/reportbug.conf.5, conf/reportbug.conf: Don't mention using the header
    option to set X-Debbugs-CC
  * doc/README.Users: Drop mention of X-Debbugs-Cc being moved from
    pseudo-header to mail headers
  * reportbug/debbugs.py, test/test_debbugs.py: Notify packages of bugs
    against pseudo-packages that affect them

  [ Holger Wansing ]
  * reportbug/debbugs.py: mention log file location in installer template
    (Closes: #1015933)

  [ Daniel Lewart ]
  * reportbug/debbugs.py: override: extra priority is deprecated
    (Closes: #1018748)

  [ Nis Martensen ]
  * reportbug.utils.get_dependency_info(): implement line wrapping.
    Thanks to Sandro Tosi for the suggestion
  * reportbug.utils.get_dependency_info(): fix min pkgname column width
    (Closes: #1024685)
  * bin/reportbug: ask CC addresses also if list-cc-me is set (Closes: #1023786)
  * reportbug/debbugs.py: use upstream contact instead of author in template
    (Closes: #1020297)
  * reportbug/bugreport.py: add 'UP' on non-SMP machines (Closes: #1021849)
  * bin/reportbug: get submit address from resumed message (Closes: #1021481)
  * reportbug.utils.get_source_version: avoid guessing between multiple answers
    (Closes: #1024629)
  * bin/reportbug: drop safety check for msg changes for resumed reports
    (Closes: #1014871)
  * fix "bin/reportbug: get submit address from resumed message"
  * bin/reportbug: display some advice if called with general package argument
    (Closes: #1012234)
  * bin/reportbug: do not ignore --subject option with -N (Closes: #1013254)
  * bin/reportbug: rephrase version confirmation question (Closes: #1016007)
  * reportbug/submit.py: Do not use mta -f with empty envelopefrom
    (Closes: #1014869)

 -- Nis Martensen <nis.martensen@web.de>  Sun, 04 Dec 2022 19:28:36 +0100

reportbug (11.5.1) unstable; urgency=medium

  [ Luca Boccassi ]
  * reportbug/debbugs.py, reportbug/utils.py: report if filesystem is unmerged-usr
    (Closes: #923090, #996833)

  [ Nis Martensen ]
  * reportbug/ui/text_ui.py: only use a single package for browse_bugs.
    Thanks to Philippe SWARTVAGHER <phil.swart@gmx.fr> for the report.
    (Closes: #1012396)
  * debian/control: update standards-version (no changes needed)

 -- Nis Martensen <nis.martensen@web.de>  Wed, 17 Aug 2022 21:00:03 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Nis Martensen <nis.martensen@web.de>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,

## reportbug 12.0.0

=== debian/changelog ===
reportbug (12.0.0) unstable; urgency=medium

  [ Benjamin Drung ]
  * Make Python version PEP440 compliant

  [ Paul Wise ]
  * Update Linux kernel taint list and location

  [ Nis Martensen ]
  * debian/control: update standards-version (no changes needed)
  * reportbug.utils.get_package_status: force literal package name match when
    calling apt-cache show. Thanks to David Kalnischkies for comprehensive
    explanations on apt's command line argument features.
    (Closes: #1031924)

  [ Roland Clobus ]
  * reportbug.debbugs.check_package_info: fix crash with udeb-only pkg
    (Closes: #1034143)

  [ Nis Martensen ]
  * reportbug/utils.py: update CODENAME2SUITE for bookworm (Closes: #1034260)

 -- Nis Martensen <nis.martensen@web.de>  Sat, 29 Apr 2023 08:38:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Nis Martensen <nis.martensen@web.de>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
@@ -53,10 +52,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python

## reportbug 12.0.0devuan2

=== debian/changelog ===
reportbug (12.0.0devuan2) unstable; urgency=medium

  * Correctly route pseudo-packages which don't have a version (Closes: #764).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 30 Jun 2023 21:07:35 +0100

reportbug (12.0.0devuan1) unstable; urgency=medium

  * Merge tag 12.0.0.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 29 Apr 2023 11:09:50 +0100

reportbug (11.6.0devuan3) unstable; urgency=medium

  [ Benjamin Drung ]
  * Make Python version PEP440 compliant

  [ David (Plasma) Paul ]
  * python3-reportbug Depends on python3-debianbts (>= 3.2)
    for the set_soap_location() function. (Closes: #754)

  [ Mark Hindley ]
  * Enable Devuan support in reportbug.debbugs.get_report().
  * man/reportbug.1: revert changes now Devuan BTS SOAP query is enabled.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 28 Mar 2023 10:08:20 +0100

reportbug (11.6.0devuan2) unstable; urgency=medium

  * Enable query of Devuan debbugs using soap.
  * Enable query of Devuan BTS by default.
  * Set Devuan as default BTS for querybts(1).
  * d/NEWS: document Devuan BTS query behaviour change.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 10 Jan 2023 11:37:22 +0000

reportbug (11.6.0devuan1) unstable; urgency=medium

  * Merge tag 11.6.0.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 05 Dec 2022 08:45:49 +0000

reportbug (11.5.1devuan1) unstable; urgency=medium

  * Merge tag 11.5.1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 18 Aug 2022 07:16:27 +0100

reportbug (11.5.0devuan1) unstable; urgency=medium

  * Merge tag 11.5.0.
  * If choosing to report issue in unforked package to Debian
    use reportbug.debian.org as default smtphost (Closes: #677).

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 03 May 2022 07:36:41 +0100

reportbug (11.4.1devuan2) unstable; urgency=medium

  * When sending reports on unforked packages to Debian, actually use
    Debian's email submission address.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 01 Apr 2022 15:38:28 +0100

reportbug (11.4.1devuan1) unstable; urgency=medium

  * Merge tag 11.4.1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 27 Feb 2022 07:34:32 +0000

reportbug (11.4.0devuan2) unstable; urgency=medium

  * Revert "Send to Devuan BTS by default (Closes: #381)." This change is
    no longer required now lsb_release returns the correct Distributor ID.
  * Offer to send bugs in unforked packages directly to Debian, but still
    default to Devuan. (Closes: #656)

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Feb 2022 11:22:39 +0000

reportbug (11.4.0devuan1) unstable; urgency=medium

  * Merge 11.4.0

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 15 Feb 2022 12:32:34 +0000

reportbug (11.3.0+devuan1) unstable; urgency=medium

  * Merge Debian 11.3.0.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 26 Jan 2022 15:38:24 +0000

reportbug (11.2.0+devuan1) unstable; urgency=medium

  * Merge 11.2.0.
  * Fix autopkgtest when build is running as root.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 06 Jan 2022 09:56:35 +0000

reportbug (11.1.0+devuan1) unstable; urgency=medium

  * Merge 11.1.0.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 26 Oct 2021 11:28:30 +0100

reportbug (11.0.0+devuan1) unstable; urgency=medium

  * Merge 11.0.0.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 18 Oct 2021 18:45:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>,
-           Nis Martensen <nis.martensen@web.de>,
+Maintainer: Mark Hindley <mark@hindley.org.uk>
+Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -11,8 +10,9 @@
 Build-Depends-Indep: python3-pytest,
                      python3-pytest-cov,
                      python3-setuptools,
-Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
-Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
+Vcs-Git: https://git.devuan.org/devuan/reportbug.git
+Vcs-Browser: https://git.devuan.org/devuan/reportbug
+Origin: Devuan
 Rules-Requires-Root: no
 
 Package: reportbug
@@ -33,7 +33,7 @@
           python3-urwid,
           reportbug-gtk (= ${source:Version}),
           xdg-utils,
-Description: reports bugs in the Debian distribution
+Description: reports bugs in the Devuan or Debian distributions
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
@@ -60,7 +60,7 @@
          file,
          python3-apt,
          python3-debian,
-         python3-debianbts (>= 2.10),
+         python3-debianbts (>= 3.2),
          python3-requests,
          sensible-utils,
          ${misc:Depends},
@@ -86,7 +86,7 @@
          python3-gtkspellcheck,
          reportbug (= ${source:Version}),
          ${misc:Depends},
-Description: reports bugs in the Debian distribution (GTK+ UI)
+Description: reports bugs in the Devuan or Debian distributions (GTK+ UI)
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .

## reportbug 13.0.1

=== debian/changelog ===
reportbug (13.0.1) unstable; urgency=medium

  * reportbug/submit.py: fix crash resulting from submission failure
    (Closes: #1064790)

 -- Nis Martensen <nis.martensen@web.de>  Tue, 27 Feb 2024 11:42:00 +0100

reportbug (13.0.0) unstable; urgency=medium

  [ Paul Wise ]
  * Drop progenyother variable
  * Automatically add tags based on the subject
  * Update URLs to https where possible
  * Drop a URL that is no longer on the web
  * Update Debian Policy Source field URL anchor
  * Update check-available documentation
  * Add User and Usertags to the list of repeatable pseudo-headers
  * Refactor access to the BTS system info

  [ Jakub Wilk ]
  * man/reportbug.1: grammar fix in --no-bug-script description
    (Closes: #1027816)

  [ Nis Martensen ]
  * bin/reportbug: adjust logic to avoid duplicates in taglist
  * extend copyright years to 2023
  * update lintian override
  * bin/reportbug: skip final thank you message in non-interactive mode
  * bin/reportbug: only check for pseudoheaders when submitting bugs
    (Closes: #1034787)
  * bin/reportbug: fix -V / --package-version option (Closes: #1040779)
  * reportbug/submit.py: work around bug in smtplib. Thanks to Laurent
    Bigonville for investigating and providing an initial patch
    (Closes: #926900)
  * submit, utils, test_bugreport: fix some mypy errors
  * bin/reportbug: give name of mua in error message (Closes: #1061271)
  * test/test_utils.py: update for now repeatable pseudoheaders
  * bin/reportbug: follow the MODE conversion to enum

  [ Alexandre Detiste ]
  * modernize to python3, fix mypy failure

  [ Otto Kekäläinen ]
  * Link bts(1) man page from querybts

 -- Nis Martensen <nis.martensen@web.de>  Sun, 11 Feb 2024 12:52:07 +0100

## reportbug 13.0.1ubuntu1

=== debian/changelog ===
reportbug (13.0.1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - debian/tests/runnable: Test against Debian BTS instead of Ubuntu
    - reportbug/__init__.py: Match reportbug version with package version.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 29 Feb 2024 18:24:34 +0100

reportbug (12.0.0ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - reportbug/__init__.py: Match reportbug version with package version.
  * Dropped changes:
    - debian/{rules,dirs}: Do not install .desktop file. There is a
      separate reportbug-gtk package now.
    - Make Python version PEP440 compliant. (merged in Debian)
  * debian/tests/runnable: Test against Debian BTS instead of Ubuntu

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Nov 2023 12:29:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Mark Hindley <mark@hindley.org.uk>
-Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Uploaders: Sandro Tosi <morph@debian.org>,
+           Nis Martensen <nis.martensen@web.de>,
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -10,9 +12,8 @@
 Build-Depends-Indep: python3-pytest,
                      python3-pytest-cov,
                      python3-setuptools,
-Vcs-Git: https://git.devuan.org/devuan/reportbug.git
-Vcs-Browser: https://git.devuan.org/devuan/reportbug
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
+Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
 Rules-Requires-Root: no
 
 Package: reportbug
@@ -33,7 +34,7 @@
           python3-urwid,
           reportbug-gtk (= ${source:Version}),
           xdg-utils,
-Description: reports bugs in the Devuan or Debian distributions
+Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
@@ -52,6 +53,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python
@@ -60,7 +65,7 @@
          file,
          python3-apt,
          python3-debian,
-         python3-debianbts (>= 3.2),
+         python3-debianbts (>= 2.10),
          python3-requests,
          sensible-utils,
          ${misc:Depends},
@@ -86,7 +91,7 @@
          python3-gtkspellcheck,
          reportbug (= ${source:Version}),
          ${misc:Depends},
-Description: reports bugs in the Devuan or Debian distributions (GTK+ UI)
+Description: reports bugs in the Debian distribution (GTK+ UI)
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,16 @@
 include /usr/share/dpkg/pkg-info.mk
 
 REPORTBUG_VERSION := $(shell python3 -c "import reportbug; print(reportbug.VERSION_NUMBER)")
+PEP440_DEB_VERSION := $(shell debian/make_pep440_compliant "$(DEB_VERSION)")
 
 %:
 	dh $@ --with=python3
 
 override_dh_auto_build:
 	# Test if versions are synchronized (only if releasing); this will bomb if not synced
-	if [ "$(DEB_DISTRIBUTION)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(DEB_VERSION)" ] ; \
+	if [ "$(DEB_DISTRIBUTION)" != "UNRELEASED" -a "$(REPORTBUG_VERSION)" != "$(PEP440_DEB_VERSION)" ] ; \
 	then \
-		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py'; exit 1 ; \
+		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py to $(PEP440_DEB_VERSION)'; exit 1 ; \
 	fi
 
 	python3 setup.py build

## reportbug 13.0.2

=== debian/changelog ===
reportbug (13.0.2) unstable; urgency=medium

  [ Paul Wise ]
  * Allow multiple-enabled menu UI to have items selected by default
  * Allow multiple-select menu wrapper to set options to enable by default
  * Allow overriding the automatically enabled tags

  [ Alexandre Rossi ]
  * suggest src version instead of binary version for binNMUs (Closes: #1071052)

  [ Nis Martensen ]
  * reportbug/debbugs.py: fix add_affects_package without info
    (Closes: #1083002)
  * debian/control: python3-report is priority: optional now

  [ Clarence "Sparr" Risher ]
  * share/script: escape environment variables (Closes: #1082953)

  [ Nis Martensen ]
  * reportbug/utils.py: do not show errors if missing conffiles are obsolete
  * bin/reportbug: small simplification in conffile listing code
  * reportbug/ui/gtk_ui.py: drop unused variable
  * reportbug/ui/gtk_ui.py: avoid shadowing the 'iter' builtin function
  * reportbug/ui/*.py: replace type equals with isinstance()
  * d/control and r/debbugs.py: bump standards-version

 -- Nis Martensen <nis.martensen@web.de>  Mon, 11 Nov 2024 22:12:14 +0100

## reportbug 13.0.2ubuntu1

=== debian/changelog ===
reportbug (13.0.2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - debian/tests/runnable: Test against Debian BTS instead of Ubuntu
    - reportbug/__init__.py: Match reportbug version with package version.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Dec 2024 04:10:15 -0600

## reportbug 13.0.3

=== debian/changelog ===
reportbug (13.0.3) unstable; urgency=medium

  [ Paul Wise ]
  * Add support for removing tags when editing the tags
  * Add ftbfs tag to more FTBFS bugs based on bug subject
  * Add debian-boot to X-Debbugs-CC for d-i tagged bugs
  * Add menu for setting architecture User/Usertags/X-Debbugs-CC (Closes: #1063650)
  * Use arch menu for ftp/release arch-specific removals/binNMUs
  * Switch to all-arches binNMU for Multi-Arch: same packages

  [ Nis Martensen ]
  * Makefile, reportbug/debbugs.py: add some comments

 -- Nis Martensen <nis.martensen@web.de>  Sun, 16 Feb 2025 11:31:05 +0100

## reportbug 13.1.0

=== debian/changelog ===
reportbug (13.1.0) unstable; urgency=medium

  * reportbug/debbugs.py: fix crash in _handle_arch_tag (Closes: #1098227)
  * reportbug/debbugs.py: never show an empty arch menu
  * reportbug/debbugs.py: do not duplicate tags
  * reportbug/debbugs.py: skip menu in noninteractive mode

 -- Nis Martensen <nis.martensen@web.de>  Wed, 19 Feb 2025 19:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Nis Martensen <nis.martensen@web.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
@@ -53,14 +52,11 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python
 Architecture: all
+Priority: optional
 Depends: apt,
          file,
          python3-apt,

## reportbug 13.1.0ubuntu1

=== debian/changelog ===
reportbug (13.1.0ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - debian/tests/runnable: Test against Debian BTS instead of Ubuntu
    - reportbug/__init__.py: Match reportbug version with package version.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 18:05:06 -0600

reportbug (13.0.3ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - debian/tests/runnable: Test against Debian BTS instead of Ubuntu
    - reportbug/__init__.py: Match reportbug version with package version.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 01:22:45 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Nis Martensen <nis.martensen@web.de>,
 Standards-Version: 4.7.0
@@ -52,6 +53,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python

## reportbug 13.2.0

=== Makefile ===
#! /usr/bin/make -f

.PHONY: tests
tests:
	pytest-3

# run tests not requiring network
.PHONY: quicktests
quicktests:
	pytest-3 -m 'not network'

.PHONY: lint
lint:
	flake8 . bin/*

# download some data from the web for use in the package
.PHONY: cache-data
cache-data:
	python3 cache-data.py

# convert the cache data to make it importable
.PHONY: convert-data
convert-data:
	python3 convert-data.py

.PHONY: clean
clean:
	find . -type f -name '*.pyc' -delete
	find . -type d -name '__pycache__' -delete
	rm -f reportbug/data.py
	rm -rf build
	rm -rf reportbug.egg-info

=== debian/changelog ===
reportbug (13.2.0) unstable; urgency=medium

  * reportbug/utils.py: update CODENAME2SUITE for trixie (Closes: #1106102)
  * debian/control: update standards-version (no changes needed)

 -- Nis Martensen <nis.martensen@web.de>  Sun, 01 Jun 2025 16:01:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>,
            Nis Martensen <nis.martensen@web.de>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
@@ -53,10 +52,6 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
- .
- REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
- IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
- INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 		echo 'Please update VERSION_NUMBER variable in reportbug/__init__.py to $(PEP440_DEB_VERSION)'; exit 1 ; \
 	fi
 
+	$(MAKE) convert-data
 	python3 setup.py build
 
 override_dh_auto_install:

=== debian/tests/control ===
Tests: runnable
Depends: @
Restrictions: allow-stderr

## reportbug 13.2.0devuan1

=== debian/changelog ===
reportbug (13.2.0devuan1) unstable; urgency=medium

  * Merge tag 13.2.0.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 02 Jun 2025 07:16:33 +0100

reportbug (13.1.0devuan1) unstable; urgency=medium

  * Merge tag 13.1.0.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 19 Feb 2025 21:48:53 +0000

reportbug (13.0.3devuan1) unstable; urgency=medium

  * Merge tag 13.0.3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 17 Feb 2025 07:34:00 +0000

reportbug (13.0.2devuan1) unstable; urgency=medium

  * Merge tag 13.0.2.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 12 Nov 2024 08:34:10 +0000

reportbug (13.0.1devuan1) unstable; urgency=medium

  * Merge tag 13.0.1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 27 Feb 2024 15:19:09 +0000

reportbug (13.0.0devuan1) unstable; urgency=medium

  * Merge tag 13.0.0.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Feb 2024 13:29:59 +0000

reportbug (12.0.0devuan3) unstable; urgency=medium

  * Add new BTS desktop-live pseudopackage.
  * Don't use debian_infofunc() for unforked reports to Debian to ensure
    system is correctly identified. (Closes: #807)
  * Clarify question about sending unforked package reports to Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 29 Nov 2023 17:03:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>,
-           Nis Martensen <nis.martensen@web.de>,
+Maintainer: Mark Hindley <mark@hindley.org.uk>
+Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -11,8 +10,9 @@
 Build-Depends-Indep: python3-pytest,
                      python3-pytest-cov,
                      python3-setuptools,
-Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
-Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
+Vcs-Git: https://git.devuan.org/devuan/reportbug.git
+Vcs-Browser: https://git.devuan.org/devuan/reportbug
+Origin: Devuan
 Rules-Requires-Root: no
 
 Package: reportbug
@@ -33,7 +33,7 @@
           python3-urwid,
           reportbug-gtk (= ${source:Version}),
           xdg-utils,
-Description: reports bugs in the Debian distribution
+Description: reports bugs in the Devuan or Debian distributions
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
@@ -61,7 +61,7 @@
          file,
          python3-apt,
          python3-debian,
-         python3-debianbts (>= 2.10),
+         python3-debianbts (>= 3.2),
          python3-requests,
          sensible-utils,
          ${misc:Depends},
@@ -87,7 +87,7 @@
          python3-gtkspellcheck,
          reportbug (= ${source:Version}),
          ${misc:Depends},
-Description: reports bugs in the Debian distribution (GTK+ UI)
+Description: reports bugs in the Devuan or Debian distributions (GTK+ UI)
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .

## reportbug 13.2.0devuan2

=== debian/changelog ===
reportbug (13.2.0devuan2) unstable; urgency=medium

  * Avoid TypeError when processing pseudo-packages.
    Thanks to Marin Ivanov <dev@metala.org> (Closes: #931)
  * Send Debian pseudo-packages to Debian BTS.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 07 Jan 2026 08:35:32 +0000

## reportbug 13.2.0ubuntu1

=== debian/changelog ===
reportbug (13.2.0ubuntu1) questing; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - bin/reportbug: If bts=ubuntu or unconfigured, exit with an error and
      refer user to "ubuntu-bug" instead.
    - debian/control: Add prominent note to package description.
    - debian/tests/runnable: Test against Debian BTS instead of Ubuntu
    - reportbug/__init__.py: Match reportbug version with package version.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Jun 2025 11:04:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: reportbug
 Section: utils
 Priority: standard
-Maintainer: Mark Hindley <mark@hindley.org.uk>
-Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reportbug Maintainers <debian-reportbug@lists.debian.org>
+Uploaders: Sandro Tosi <morph@debian.org>,
+           Nis Martensen <nis.martensen@web.de>,
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -10,9 +12,8 @@
 Build-Depends-Indep: python3-pytest,
                      python3-pytest-cov,
                      python3-setuptools,
-Vcs-Git: https://git.devuan.org/devuan/reportbug.git
-Vcs-Browser: https://git.devuan.org/devuan/reportbug
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/reportbug-team/reportbug.git
+Vcs-Browser: https://salsa.debian.org/reportbug-team/reportbug
 Rules-Requires-Root: no
 
 Package: reportbug
@@ -33,7 +34,7 @@
           python3-urwid,
           reportbug-gtk (= ${source:Version}),
           xdg-utils,
-Description: reports bugs in the Devuan or Debian distributions
+Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
@@ -52,6 +53,10 @@
  .
  This package also includes the "querybts" script for browsing the
  Debian bug tracking system.
+ .
+ REPORTBUG IS MEANT FOR UBUNTU DEVELOPERS TO FORWARD BUGS TO DEBIAN.
+ IF YOU WANT TO REPORT A BUG IN UBUNTU, PLEASE USE "ubuntu-bug"
+ INSTEAD (from the "apport" package).
 
 Package: python3-reportbug
 Section: python
@@ -61,7 +66,7 @@
          file,
          python3-apt,
          python3-debian,
-         python3-debianbts (>= 3.2),
+         python3-debianbts (>= 2.10),
          python3-requests,
          sensible-utils,
          ${misc:Depends},
@@ -87,7 +92,7 @@
          python3-gtkspellcheck,
          reportbug (= ${source:Version}),
          ${misc:Depends},
-Description: reports bugs in the Devuan or Debian distributions (GTK+ UI)
+Description: reports bugs in the Debian distribution (GTK+ UI)
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
